package models

import "time"

type ListVNetwork struct {
	Total              int            `json:"total"`
	Page               int            `json:"page"`
	PerPage            int            `json:"per_page"`
	IsApproximateTotal bool           `json:"is_approximate_total"`
	Items              []VNetworkItem `json:"items"`
	HasMore            bool           `json:"has_more"`
	RequestID          string         `json:"request_id"`
}

type VNetworkItem struct {
	AliasID            int       `json:"alias_id"`
	NetworkType        string    `json:"network_type"`
	ClusterID          int       `json:"cluster_id"`
	VirtualNetworkID   int       `json:"virtual_network_id"`
	Created            time.Time `json:"created"`
	Modified           time.Time `json:"modified"`
	ExternalUUID       int       `json:"external_uuid"`
	Deleted            time.Time `json:"deleted"`
	Name               string    `json:"name"`
	BridgeInterfaceID  int       `json:"bridge_interface_id"`
	VlanID             int       `json:"vlan_id"`
	Description        string    `json:"description"`
	VlanInterfaceID    int       `json:"vlan_interface_id"`
	NetworkInterfaceID int       `json:"network_interface_id"`
	ExternalResourceID int       `json:"external_resource_id"`
	NodeID             int       `json:"node_id"`
	NodeCount          int       `json:"node_count"`
	VMCount            int       `json:"vm_count"`
	RunningVMCount     int       `json:"running_vm_count"`
	Alias              string    `json:"alias"`
	Node               Node      `json:"node"`
}

type Node struct {
	MaintenanceStatus string    `json:"maintenance_status"`
	ClusterID         int       `json:"cluster_id"`
	Created           time.Time `json:"created"`
	VstorageStatus    string    `json:"vstorage_status"`
	IPAddress         string    `json:"ip_address"`
	Status            string    `json:"status"`
	Modified          time.Time `json:"modified"`
	Deleted           time.Time `json:"deleted"`
	ServerUUID        string    `json:"server_uuid"`
	Name              string    `json:"name"`
	VstorageHostID    int       `json:"vstorage_host_id"`
	Compute           bool      `json:"compute"`
	VstorageClusterID int       `json:"vstorage_cluster_id"`
	SdkStatus         string    `json:"sdk_status"`
	Description       string    `json:"description"`
	StorageStatus     string    `json:"storage_status"`
	NodeID            int       `json:"node_id"`
}
