package models

import "time"

type ListExtStorageResponse struct {
	List      ListExtStorage `json:"external_storage_list"`
	RequestID string         `json:"request_id"`
}

type ListExtStorage struct {
	Total              int           `json:"total"`
	Page               int           `json:"page"`
	PerPage            int           `json:"per_page"`
	IsApproximateTotal bool          `json:"is_approximate_total"`
	Items              []ItemStorage `json:"items"`
	HasMore            bool          `json:"has_more"`
}

type ItemStorage struct {
	ClusterName       string    `json:"cluster_name"`
	ExternalStorageID int       `json:"external_storage_id"`
	Path              string    `json:"path"`
	ClusterID         int       `json:"cluster_id"`
	MaxDisksNum       int       `json:"max_disks_num"`
	StorageType       string    `json:"storage_type"`
	CacheStatus       string    `json:"cache_status"`
	Username          string    `json:"username"`
	Server            string    `json:"server"`
	CacheSizeMb       int       `json:"cache_size_mb"`
	UsedMb            int       `json:"used_mb"`
	StoragePath       string    `json:"storage_path"`
	CachePath         string    `json:"cache_path"`
	Status            string    `json:"status"`
	Deleted           time.Time `json:"deleted"`
	Description       string    `json:"description"`
	CacheEnabled      bool      `json:"cache_enabled"`
	Iqn               string    `json:"iqn"`
	Created           time.Time `json:"created"`
	Modified          time.Time `json:"modified"`
	MountPoint        string    `json:"mount_point"`
	Name              string    `json:"name"`
	TotalMb           int       `json:"total_mb"`
	VMHomeDirSizeGb   int       `json:"vm_home_dir_size_gb"`
	VMCount           int       `json:"vm_count"`
}
