package requests

import "time"

type ListExtStorageRequest struct {
	// Storage description
	// Required: false
	Description int `url:"description,omitempty" json:"description,omitempty"`

	// Name of the storage
	// Required: false
	Name string `url:"name,omitempty" json:"name,omitempty"`

	// Storage path
	// Required: false
	Path string `url:"path,omitempty" json:"path,omitempty"`

	// Storage server
	// Required: false
	Server string `url:"server,omitempty" json:"server,omitempty"`

	// Status of storage
	// Required: false
	Status string `url:"status,omitempty" json:"status,omitempty" validate:"omitempty,extstorage_status"`

	// Type of storage
	// Required: false
	StorageType string `url:"storage_type,omitempty" json:"storage_type,omitempty" validate:"omitempty,extstorage_type"`

	// Cluster ID
	// Required: false
	ClusterID string `url:"cluster_id,omitempty" json:"cluster_id,omitempty"`

	// Cluster name
	// Required: false
	ClusterName string `url:"cluster_name,omitempty" json:"cluster_name,omitempty"`

	//  List only unused external storages
	// Required: false
	OnlyUnused interface{} `url:"only_unused,omitempty" json:"only_unused,omitempty" validate:"omitempty,is_bool"`

	// List columns which will be used by filter_text
	// Required: false
	FilterText string `url:"filter_columns,omitempty" json:"filter_columns,omitempty"`

	// Filter entities created before this date.
	// Required: false
	CreatedBefore time.Time `url:"created_before,omitempty" json:"created_before,omitempty"`

	// Filter entities created after this date.
	// Required: false
	CreatedAfter time.Time `url:"created_after,omitempty" json:"created_after,omitempty"`

	// List of columns for sorting.
	// Required: false
	// Sort []string `url:"sort,omitempty" json:"sort,omitempty"`

	// Number of the page to return.
	// Required: false
	Page int `url:"page,omitempty" json:"page,omitempty"`

	// Number of items to return per page.
	// Required: false
	Limit int `url:"limit,omitempty" json:"limit,omitempty"`
}
