package requests

// ListImageRequest struct to get list of images
type ListImageRequest struct {
	// Name of image
	// Required: false
	Name string `url:"name,omitempty" json:"name,omitempty"`

	// Size of image
	// Required: false
	Size string `url:"size,omitempty" json:"size,omitempty"`

	// Type of image
	// Required: false
	ImageType string `url:"image_type,omitempty" json:"image_type,omitempty" validate:"omitempty,image_type"`

	// Status of image
	// Required: false
	Status string `url:"status,omitempty" json:"status,omitempty" validate:"omitempty,image_status"`

	// ShareID of image
	// Required: false
	ShareID string `url:"share_id,omitempty" json:"share_id,omitempty"`

	// Active if True Image is active
	// Required: false
	Active interface{} `url:"active,omitempty" json:"active,omitempty" validate:"omitempty,is_bool"`

	// IsTemplateImage If True Image is template
	// Required: false
	// Default: False
	IsTemplateImage bool `url:"is_template_image,omitempty" json:"is_template_image,omitempty"`

	// Mark of image
	// Required: false
	Mark string `url:"mark,omitempty" json:"mark,omitempty"`

	// image for filtering by text field
	// Required: false
	FilterText string `url:"filter_text,omitempty" json:"filter_text,omitempty"`

	// List columns which will be used by filter_text
	// Required: false
	FilterColumns string `url:"filter_columns,omitempty" json:"filter_columns,omitempty"`

	// List of columns for sorting.
	// Required: false
	Sort []string `url:"sort,omitempty" json:"sort,omitempty"`

	// Visibility status of the interface (visible, all, deleted).
	// Required: false
	Visibility string `url:"visibility,omitempty" json:"visibility,omitempty" validate:"omitempty,visibility"`

	// Filter VM Images that are unavailable now, because share is unavailable
	// Required: false
	HideUnavailable interface{} `url:"hide_unavailable,omitempty" json:"hide_unavailable,omitempty" validate:"omitempty,is_bool"`

	// Number of the page to return.
	// Required: false
	Page int `url:"page,omitempty" json:"page,omitempty"`

	// Number of items to return per page.
	// Required: false
	Limit int `url:"limit,omitempty" json:"limit,omitempty"`
}
