package models

import "time"

// ListDiskResponse represents the hard disks information.
type ListDiskResponse struct {
	List      DeviceList `json:"device_list"`
	RequestID string     `json:"request_id"`
}

type DeviceList struct {
	Total              int        `json:"total"`
	Page               int        `json:"page"`
	PerPage            int        `json:"per_page"`
	IsApproximateTotal bool       `json:"is_approximate_total"`
	Items              []DiskItem `json:"items"`
	HasMore            bool       `json:"has_more"`
}

type DiskItem struct {
	Enabled            bool          `json:"enabled"`
	Status             string        `json:"status"`
	Modified           time.Time     `json:"modified"`
	Created            time.Time     `json:"created"`
	Name               string        `json:"name"`
	StackIndex         int           `json:"stack_index"`
	DiskType           string        `json:"disk_type"`
	ImageID            int           `json:"image_id"`
	Deleted            time.Time     `json:"deleted"`
	ExternalStorageID  int           `json:"external_storage_id"`
	ImagePath          string        `json:"image_path"`
	DeviceID           int           `json:"device_id"`
	IsSharedDisk       bool          `json:"is_shared_disk"`
	ExternalUUID       string        `json:"external_uuid"`
	TierID             int           `json:"tier_id"`
	DeviceIndex        int           `json:"device_index"`
	VolumeID           int           `json:"volume_id"`
	Connected          bool          `json:"connected"`
	DeviceType         string        `json:"device_type"`
	ExternalResourceID int           `json:"external_resource_id"`
	VMID               int           `json:"vm_id"`
	EmulationType      string        `json:"emulation_type"`
	Size               int           `json:"size"`
	UUID               string        `json:"uuid"`
	InterfaceType      string        `json:"interface_type"`
	EditableParams     []string      `json:"editable_params"`
	DiskCaches         []interface{} `json:"disk_caches"`
}
