package requests

// GetVMRequest struct to get details of a virtual machine.
type GetVMRequest struct {
	// Id of source VM
	// Required: true
	VmID int `url:"vmId" json:"vmId" validate:"required"`

	// If true, include VM's current metrics in the metrics field.
	// Required: false
	WithMetrics bool `url:"with_metrics,omitempty" json:"with_metrics,omitempty"`

	// Aggregation period for metrics. Used only if 'WithMetrics' is true.
	// Possible values: "latest", "hour", "day", "week".
	// Required: false
	MetricsPeriod string `url:"metrics_period,omitempty" json:"metrics_period,omitempty" validate:"omitempty,metrics_period"`

	// If true, include VM's hierarchy information.
	// Required: false
	WithParentTree bool `url:"with_parent_tree,omitempty" json:"with_parent_tree,omitempty"`

	// If true, request actual info from the agent.
	// Required: false
	ForceRefresh bool `url:"force_refresh,omitempty" json:"force_refresh,omitempty"`
}
